## pglogical 2.0.0

=== Makefile ===
# contrib/pglogical/Makefile

MODULE_big = pglogical
EXTENSION = pglogical
PGFILEDESC = "pglogical - logical replication"

MODULES = pglogical_output

DATA = pglogical--1.0.0.sql pglogical--1.0.0--1.0.1.sql \
	   pglogical--1.0.1--1.1.0.sql \
	   pglogical--1.1.0--1.1.1.sql pglogical--1.1.1--1.1.2.sql \
	   pglogical--1.1.2--1.2.0.sql \
	   pglogical--1.2.0--1.2.1.sql pglogical--1.2.1--2.0.0.sql \
	   pglogical--2.0.0.sql

OBJS = pglogical_apply.o pglogical_conflict.o pglogical_manager.o \
	   pglogical.o pglogical_node.o pglogical_relcache.o \
	   pglogical_repset.o pglogical_rpc.o pglogical_functions.o \
	   pglogical_queue.o pglogical_fe.o pglogical_worker.o \
	   pglogical_sync.o pglogical_sequences.o pglogical_executor.o \
	   pglogical_dependency.o pglogical_apply_heap.o pglogical_apply_spi.o \
	   pglogical_output_config.o pglogical_output_plugin.o \
	   pglogical_output_proto.o pglogical_proto_json.o \
	   pglogical_proto_native.o

SCRIPTS_built = pglogical_create_subscriber

REGRESS = preseed infofuncs init_fail init preseed_check basic extended \
		  toasted replication_set add_table matview bidirectional primary_key \
		  interfaces foreign_key functions copy triggers parallel row_filter \
		  row_filter_sampling att_list column_filter apply_delay multiple_upstreams \
		  node_origin_cascade drop

EXTRA_CLEAN += compat94/pglogical_compat.o compat95/pglogical_compat.o \
			   compat96/pglogical_compat.o pglogical_create_subscriber.o

# The # in #define is taken as a comment, per https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=142043
# so it must be escaped. The $ placeholders in awk must be doubled too.
pglogical_version=$(shell awk '/\#define PGLOGICAL_VERSION[ \t]+\".*\"/ { print substr($$3,2,length($$3)-2) }' $(realpath $(srcdir)/pglogical.h) )

# For regression checks
# http://www.postgresql.org/message-id/CAB7nPqTsR5o3g-fBi6jbsVdhfPiLFWQ_0cGU5=94Rv_8W3qvFA@mail.gmail.com
# this makes "make check" give a useful error
abs_top_builddir = .
NO_TEMP_INSTALL = yes

PG_CONFIG ?= pg_config

PGVER := $(shell $(PG_CONFIG) --version | sed 's/[^0-9\.]//g' | awk -F . '{ print $$1$$2 }')

PG_CPPFLAGS += -I$(libpq_srcdir) -I$(realpath $(srcdir)/compat$(PGVER))
SHLIB_LINK += $(libpq)

OBJS += $(srcdir)/compat$(PGVER)/pglogical_compat.o

ifeq ($(PGVER),94)
DATA += compat94/pglogical_origin.control compat94/pglogical_origin--1.0.0.sql
REGRESS = preseed infofuncs init preseed_check basic extended \
		  toasted replication_set add_table matview primary_key \
		  interfaces foreign_key functions copy triggers parallel \
		  att_list column_filter apply_delay multiple_upstreams \
		  node_origin_cascade drop

REGRESS += --dbname=regression
SCRIPTS_built += pglogical_dump/pglogical_dump
SCRIPTS += pglogical_dump/pglogical_dump
requires = requires=pglogical_origin
control_path = $(abspath $(abs_top_builddir))/pglogical.control
else
DATA += pglogical_origin.control pglogical_origin--1.0.0.sql
requires =
control_path = $(abspath $(srcdir))/pglogical.control
endif

EXTRA_CLEAN += $(control_path)


PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)


ifeq ($(PGVER),94)
regresscheck: ;
check: ;

$(srcdir)/pglogical_dump/pg_dump.c:
	$(warning pglogical_dump empty, trying to fetch as submodule)
	git submodule init
	git submodule update

pglogical_dump/pglogical_dump: pglogical_dump/pg_dump.c

SUBDIRS += pglogical_dump

else
# We can't do a normal 'make check' because PGXS doesn't support
# creating a temp install. We don't want to use a normal PGXS
# 'installcheck' though, because it's a pain to set up a temp install
# manually, with the config overrides needed.
#
# We compromise by using the install we're building against, installing
# glogical into it, then making a temp instance. This means that 'check'
# affects the target DB install. Nobody with any sense runs 'make check'
# under a user with write permissions to their production PostgreSQL
# install (right?)
# But this is still not ideal.
regresscheck:
	$(MKDIR_P) regression_output
	$(pg_regress_check) \
	    --temp-config ./regress-postgresql.conf \
	    --temp-instance=./tmp_check \
	    --outputdir=./regression_output \
	    --create-role=logical \
	    $(REGRESS)

check: install regresscheck

endif

pglogical_create_subscriber: pglogical_create_subscriber.o pglogical_fe.o
	$(CC) $(CFLAGS) $^ $(LDFLAGS) $(LDFLAGS_EX) $(libpq_pgport) $(LIBS) -o $@$(X)


pglogical.control: pglogical.control.in pglogical.h
	sed 's/__PGLOGICAL_VERSION__/$(pglogical_version)/;s/__REQUIRES__/$(requires)/' $(realpath $(srcdir)/pglogical.control.in) > $(control_path)

all: pglogical.control

GITHASH=$(shell if [ -e .distgitrev ]; then cat .distgitrev; else git rev-parse --short HEAD; fi)

dist-common: clean
	@if test "$(wanttag)" -eq 1 -a "`git name-rev --tags --name-only $(GITHASH)`" = "undefined"; then echo "cannot 'make dist' on untagged tree; tag it or use make git-dist"; exit 1; fi
	@rm -f .distgitrev .distgittag
	@if ! git diff-index --quiet HEAD; then echo >&2 "WARNING: git working tree has uncommitted changes to tracked files which were INCLUDED"; fi
	@if [ -n "`git ls-files --exclude-standard --others`" ]; then echo >&2 "WARNING: git working tree has unstaged files which were IGNORED!"; fi
	@echo $(GITHASH) > .distgitrev
	@git name-rev --tags --name-only `cat .distgitrev` > .distgittag
	@(git ls-tree -r -t --full-tree HEAD --name-only \
	  && cd pglogical_dump\
	  && git ls-tree -r -t --full-tree HEAD --name-only | sed 's/^/pglogical_dump\//'\
	 ) |\
	  tar cjf "${distdir}.tar.bz2" --transform="s|^|${distdir}/|" --no-recursion \
	    -T - .distgitrev .distgittag
	@echo >&2 "Prepared ${distdir}.tar.bz2 for rev=`cat .distgitrev`, tag=`cat .distgittag`"
	@rm -f .distgitrev .distgittag
	@md5sum "${distdir}.tar.bz2" > "${distdir}.tar.bz2.md5"
	@if test -n "$(GPGSIGNKEYS)"; then gpg -q -a -b $(shell for x in $(GPGSIGNKEYS); do echo -u $$x; done) "${distdir}.tar.bz2"; else echo "No GPGSIGNKEYS passed, not signing tarball. Pass space separated keyid list as make var to sign."; fi

dist: distdir=pglogical-$(pglogical_version)
dist: wanttag=1
dist: dist-common

git-dist: distdir=pglogical-$(pglogical_version)_git$(GITHASH)
git-dist: wanttag=0
git-dist: dist-common


# runs TAP tests

# PGXS doesn't support TAP tests yet.
# Copy perl modules in postgresql_srcdir/src/test/perl
# to postgresql_installdir/lib/pgxs/src/test/perl

check_prove:
	$(prove_check)

.PHONY: all check regresscheck pglogical.control

define _pgl_create_recursive_target
.PHONY: $(1)-$(2)-recurse
$(1): $(1)-$(2)-recurse
$(1)-$(2)-recurse: $(if $(filter check, $(3)), temp-install)
	$(MKDIR_P) $(2)
	$$(MAKE) -C $(2) -f $(abspath $(srcdir))/$(2)/Makefile VPATH=$(abspath $(srcdir))/$(2) $(3)
endef

$(foreach target,$(if $1,$1,$(standard_targets)),$(foreach subdir,$(if $2,$2,$(SUBDIRS)),$(eval $(call _pgl_create_recursive_target,$(target),$(subdir),$(if $3,$3,$(target))))))

=== debian/changelog ===
pglogical (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * Initial release. (Closes: #837730)

 -- Michael Banck <michael.banck@credativ.de>  Thu, 18 May 2017 20:51:02 +0200

=== debian/control ===
Source: pglogical
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Michael Banck <michael.banck@credativ.de>
Build-Depends:
 debhelper (>= 9),
 postgresql-server-dev-all (>= 153~),
 libselinux1-dev [linux-any], libxml2-dev, libpam0g-dev, libssl-dev, krb5-multidev, libedit-dev, libxslt1-dev, zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pglogical.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pglogical.git
Homepage: https://www.2ndquadrant.com/en/resources/pglogical/ 

Package: postgresql-9.6-pglogical
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6
Suggests:
Description: Logical Replication Extension for PostgreSQL
 The pglogical extension provides logical streaming replication between
 PostgreSQL instances, using a publish/subscribe model.  Contrary to the
 built-in streaming replication, pglogical can replicate between major versions
 or different architectures and is not restricted to replicate the entire
 instance but can selectively replicate arbitrary sets of tables.
 .
 Use-Cases include migrations and major-version upgrades, aggregation of
 several databases into a Data Warehouse, It utilises the Logical Decoding
 features available since PostgreSQL 9.4 working with low overhead on both
 provider and subscriber.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-pglogical

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_auto_clean:
	+pg_buildext clean build-%v
	rm -rf regression.diffs regression.out results tmp_check log
	rm -f pglogical_create_subscriber_postgres.log

%:
	dh $@

=== debian/tests/control ===
Depends: @, libipc-run-perl, libtap-parser-sourcehandler-pgtap-perl, postgresql-9.6-pgtap, postgresql-server-dev-all
Tests: installcheck, prove
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/  http://packages.2ndquadrant.com/pglogical/tarballs/pglogical-(.+).tar.bz2

## pglogical 2.1.0

=== debian/changelog ===
pglogical (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * debian/patches/rel2_0_stable_branch.patch: Remove outdated patch
  * debian/patches/v10_compatibility.patch: Remove outdated patch
  * debian/control, debian/control.in: Add myself to Uploaders field

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 17 Oct 2017 21:27:47 +0000

pglogical (2.0.1-1) unstable; urgency=medium

  [ Marco Nenciarini ]
  * New upstream version 2.0.1
  * debian/tests/regresscheck: New file, runs regresscheck instead of
    installcheck and makes sure the tests run if autopkgtest is started by both
    root or a regular user.
  * debian/tests/control.in, debian/tests/control: Switch from installcheck to
    regresscheck.
  * debian/tests/installcheck: Removed, no longer needed.
  * debian/patches/support_installcheck.patch: Likewise.

  [ Michael Banck ]
  * debian/rules (override_dh_auto_clean): Run make clean.
  * debian/patches/expected_output_init_fail_test.patch: Adjusted accordingly.
  * debian/patches/v10_compatibility.patch: New patch, adds support for
    PostgreSQL v10.
  * debian/tests/installcheck: Run tests as user postgres if autopkgtest is
    invoked under root privileges.
  * debian/control, debian/tests/control: Regenerated via `pg_buildext
    updatecontrol'.
  * debian/patches/rel2_0_stable_branch.patch: New patch, adds the changes from
    the REL2_0_STABLE branch through commit 7eb344bf.
  * debian/tests/prove: Rewrite according to regresscheck.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 25 Sep 2017 22:24:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Michael Banck <michael.banck@credativ.de>
+Uploaders: Michael Banck <michael.banck@credativ.de>, Marco Nenciarini <mnencia@debian.org>
 Build-Depends:
  debhelper (>= 9),
  postgresql-server-dev-all (>= 153~),
@@ -12,9 +12,9 @@
 Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pglogical.git
 Homepage: https://www.2ndquadrant.com/en/resources/pglogical/ 
 
-Package: postgresql-9.6-pglogical
+Package: postgresql-10-pglogical
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
 Suggests:
 Description: Logical Replication Extension for PostgreSQL
  The pglogical extension provides logical streaming replication between

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	dh_installdocs --all README.*
 
 override_dh_auto_clean:
+	-$(MAKE) clean
 	+pg_buildext clean build-%v
 	rm -rf regression.diffs regression.out results tmp_check log
 	rm -f pglogical_create_subscriber_postgres.log

## pglogical 2.1.1

=== Makefile ===
--- 
+++ 
@@ -10,8 +10,12 @@
 	   pglogical--1.0.1--1.1.0.sql \
 	   pglogical--1.1.0--1.1.1.sql pglogical--1.1.1--1.1.2.sql \
 	   pglogical--1.1.2--1.2.0.sql \
-	   pglogical--1.2.0--1.2.1.sql pglogical--1.2.1--2.0.0.sql \
-	   pglogical--2.0.0.sql
+	   pglogical--1.2.0--1.2.1.sql pglogical--1.2.1--1.2.2.sql \
+	   pglogical--1.2.2--2.0.0.sql \
+	   pglogical--2.0.0--2.0.1.sql \
+	   pglogical--2.0.0--2.1.0.sql pglogical--2.0.1--2.1.0.sql \
+	   pglogical--2.1.0--2.1.1.sql \
+	   pglogical--2.1.1.sql
 
 OBJS = pglogical_apply.o pglogical_conflict.o pglogical_manager.o \
 	   pglogical.o pglogical_node.o pglogical_relcache.o \
@@ -21,11 +25,11 @@
 	   pglogical_dependency.o pglogical_apply_heap.o pglogical_apply_spi.o \
 	   pglogical_output_config.o pglogical_output_plugin.o \
 	   pglogical_output_proto.o pglogical_proto_json.o \
-	   pglogical_proto_native.o
+	   pglogical_proto_native.o pglogical_monitoring.o
 
 SCRIPTS_built = pglogical_create_subscriber
 
-REGRESS = preseed infofuncs init_fail init preseed_check basic extended \
+REGRESS = preseed infofuncs init_fail init preseed_check basic extended conflict_secondary_unique \
 		  toasted replication_set add_table matview bidirectional primary_key \
 		  interfaces foreign_key functions copy triggers parallel row_filter \
 		  row_filter_sampling att_list column_filter apply_delay multiple_upstreams \
@@ -46,9 +50,9 @@
 
 PG_CONFIG ?= pg_config
 
-PGVER := $(shell $(PG_CONFIG) --version | sed 's/[^0-9\.]//g' | awk -F . '{ print $$1$$2 }')
+PGVER := $(shell $(PG_CONFIG) --version | sed 's/[^0-9]//g' | cut -c 1-2)
 
-PG_CPPFLAGS += -I$(libpq_srcdir) -I$(realpath $(srcdir)/compat$(PGVER))
+PG_CPPFLAGS += -I$(libpq_srcdir) -I$(realpath $(srcdir)/compat$(PGVER)) -Werror=implicit-function-declaration
 SHLIB_LINK += $(libpq)
 
 OBJS += $(srcdir)/compat$(PGVER)/pglogical_compat.o

=== debian/changelog ===
pglogical (2.1.1-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Move packaging repository to salsa.debian.org

  [ Marco Nenciarini ]
  * New upstream version 2.1.1
  * Bump Standards Version to 4.1.3 (no changes)
  * debian/rules: Do not ignore make errors during clean

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 11 Jan 2018 12:33:08 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  debhelper (>= 9),
  postgresql-server-dev-all (>= 153~),
  libselinux1-dev [linux-any], libxml2-dev, libpam0g-dev, libssl-dev, krb5-multidev, libedit-dev, libxslt1-dev, zlib1g-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pglogical.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pglogical.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/postgresql/pglogical
+Vcs-Git: https://salsa.debian.org/postgresql/pglogical.git
 Homepage: https://www.2ndquadrant.com/en/resources/pglogical/ 
 
 Package: postgresql-10-pglogical

=== debian/tests/control ===
Depends: @, libipc-run-perl, libtap-parser-sourcehandler-pgtap-perl, postgresql-10-pgtap, postgresql-server-dev-all
Tests: regresscheck, prove
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/  http://packages.2ndquadrant.com/pglogical/tarballs/pglogical-(\d.+).tar.bz2

## pglogical 2.2.0

=== Makefile ===
--- 
+++ 
@@ -14,8 +14,8 @@
 	   pglogical--1.2.2--2.0.0.sql \
 	   pglogical--2.0.0--2.0.1.sql \
 	   pglogical--2.0.0--2.1.0.sql pglogical--2.0.1--2.1.0.sql \
-	   pglogical--2.1.0--2.1.1.sql \
-	   pglogical--2.1.1.sql
+	   pglogical--2.1.0--2.1.1.sql pglogical--2.1.1--2.2.0.sql \
+	   pglogical--2.2.0.sql
 
 OBJS = pglogical_apply.o pglogical_conflict.o pglogical_manager.o \
 	   pglogical.o pglogical_node.o pglogical_relcache.o \
@@ -179,3 +179,59 @@
 endef
 
 $(foreach target,$(if $1,$1,$(standard_targets)),$(foreach subdir,$(if $2,$2,$(SUBDIRS)),$(eval $(call _pgl_create_recursive_target,$(target),$(subdir),$(if $3,$3,$(target))))))
+
+
+#
+# The following hideous hack works around pg_regress's inability to inject
+# prefix commands by using a wrapper 'postgres' that finds the real postgres.
+#
+
+define VALGRIND_WRAPPER
+#!/bin/bash
+
+set -e -u -x
+
+# May also want --expensive-definedness-checks=yes
+#
+# Quicker runs without --track-origins=yes --read-var-info=yes
+#
+# If you don't want leak checking, use --leak-check=no
+#
+# When just doing leak checking and not looking for detailed memory error reports you don't need:
+# 	--track-origins=yes --read-var-info=yes --malloc-fill=8f --free-fill=9f 
+#
+SUPP=$(POSTGRES_SRC)/src/tools/valgrind.supp
+
+# Pop top two elements from path; the first is added by pg_regress
+# and the next is us.
+function join_by { local IFS="$$1"; shift; echo "$$*"; }
+IFS=':' read -r -a PATHA <<< "$$PATH"
+export PATH=$$(join_by ":" "$${PATHA[@]:2}")
+
+NEXT_POSTGRES=$$(which postgres)
+if [ "$${NEXT_POSTGRES}" -ef "./valgrind/postgres" ]; then
+    echo "ERROR: attempt to execute self"
+    exit 1
+fi
+
+echo "Running $${NEXT_POSTGRES} under Valgrind"
+
+valgrind --leak-check=full --show-leak-kinds=definite,possible,reachable --gen-suppressions=all \
+	--suppressions="$${SUPP}" --suppressions=`pwd`/pglogical.supp --verbose \
+	--time-stamp=yes  --log-file=valgrind-$$$$-%p.log --trace-children=yes \
+	--track-origins=yes --read-var-info=yes --malloc-fill=8f --free-fill=9f \
+	--num-callers=30 \
+	postgres "$$@"
+
+endef
+
+export VALGRIND_WRAPPER
+
+valgrind-check:
+	$(if $(POSTGRES_SRC),,$(error set Make variable POSTGRES_SRC to postgres source dir to find valgrind.supp))
+	$(if $(wildcard $(POSTGRES_SRC)/src/tools/valgrind.supp),,$(error missing valgrind suppressions at $(POSTGRES_SRC)/src/tools/valgrind.supp))
+	mkdir -p valgrind/
+	echo "$$VALGRIND_WRAPPER" > valgrind/postgres
+	chmod a+x valgrind/postgres
+	PATH=./valgrind/:$(PATH) $(MAKE) check
+	rm valgrind/postgres

=== debian/changelog ===
pglogical (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 22 Mar 2018 07:53:24 +0000

pglogical (2.1.1-2) unstable; urgency=medium

  * debian/patches/expected_output_init_fail_test.patch: Fix regression
    tests
  * debian/patches/fix_signalling_to_apply_worker.patch: Fix signalling to
     apply worker (Closes: #882217)

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 01 Mar 2018 00:22:48 +0000

## pglogical 2.2.1

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,8 @@
 	   pglogical--2.0.0--2.0.1.sql \
 	   pglogical--2.0.0--2.1.0.sql pglogical--2.0.1--2.1.0.sql \
 	   pglogical--2.1.0--2.1.1.sql pglogical--2.1.1--2.2.0.sql \
-	   pglogical--2.2.0.sql
+	   pglogical--2.2.0.sql \
+	   pglogical--2.2.0--2.2.1.sql pglogical--2.2.1.sql
 
 OBJS = pglogical_apply.o pglogical_conflict.o pglogical_manager.o \
 	   pglogical.o pglogical_node.o pglogical_relcache.o \
@@ -36,7 +37,8 @@
 		  node_origin_cascade drop
 
 EXTRA_CLEAN += compat94/pglogical_compat.o compat95/pglogical_compat.o \
-			   compat96/pglogical_compat.o pglogical_create_subscriber.o
+			   compat96/pglogical_compat.o compat10/pglogical_compat.o \
+			   pglogical_create_subscriber.o
 
 # The # in #define is taken as a comment, per https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=142043
 # so it must be escaped. The $ placeholders in awk must be doubled too.
@@ -165,6 +167,12 @@
 # Copy perl modules in postgresql_srcdir/src/test/perl
 # to postgresql_installdir/lib/pgxs/src/test/perl
 
+
+define prove_check
+rm -rf $(CURDIR)/tmp_check/log
+cd $(srcdir) && TESTDIR='$(CURDIR)' $(with_temp_install) PGPORT='6$(DEF_PGPORT)' PG_REGRESS='$(top_builddir)/src/test/regress/pg_regress' $(PROVE) --verbose $(PG_PROVE_FLAGS) $(PROVE_FLAGS) $(or $(PROVE_TESTS),t/*.pl)
+endef
+
 check_prove:
 	$(prove_check)

=== debian/changelog ===
pglogical (2.2.1-4) unstable; urgency=medium

  * Team upload.
  * Recompile against new heap_getattr() API in PostgreSQL 11.2.

 -- Christoph Berg <myon@debian.org>  Tue, 12 Feb 2019 15:11:05 +0100

pglogical (2.2.1-3) unstable; urgency=medium

  * debian/patches/test_increase_timeouts.patch: Increase statement timeouts in
    further regresssions tests. 
  * debian/patches/test_configuration.patch: New patch, sets
    checkpoint_timeout to 30 seconds and wal_sender_timeout to 2 minutes for
    the regression tests.  Also deactivates pglogical.synchronous_commit ...
  * debian/patches/deactivate_sync_commit_regresstests.patch: ... dropping this
    patch.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 06 Feb 2019 18:52:42 +0100

pglogical (2.2.1-2) unstable; urgency=medium

  [ Michael Banck ]
  * debian/tests/regresscheck: Only exit with failure after all versions have
    been checked, not immediately. Also, dump full log output on failure.
  * debian/tests/prove: Likewise.
  * debian/patches/test_increase_timeouts.patch: Increase statement timeouts in
    several regression tests.

  [ Christoph Berg ]
  * Use shared gitlab-ci.yml file from postgresql-common.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 22 Jan 2019 17:41:38 +0100

pglogical (2.2.1-1) unstable; urgency=medium

  * New upstream minor release.

  [ Christoph Berg ]
  * debian/tests/regresscheck, debian/tests/prove: Show version being tested in
    testsuite.

  [ Michael Banck ]
  * debian/patches/pglogical_create_subscriber_set_port.patch: Refreshed. 
  * debian/patches/v11_support.patch: Removed, no longer needed.
  * debian/patches/alternative_regression_outputs.patch: Likewise.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 29 Oct 2018 11:02:58 +0100

pglogical (2.2.0-6) unstable; urgency=medium

  * debian/tests/prove: Fix version detection for v9.4.

 -- Michael Banck <michael.banck@credativ.de>  Sat, 20 Oct 2018 16:09:13 +0200

pglogical (2.2.0-5) unstable; urgency=medium

  * debian/patches/v94_tap_support.patch: New patch, adds v9.4 support to
    020_non_default_replication_set.pl TAP test.
  * debian/tests/prove: Run 020_non_default_replication_set.pl TAP test on
    v9.4.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 19 Oct 2018 23:32:20 +0200

pglogical (2.2.0-4) unstable; urgency=medium

  * debian/patches/alternative_regression_outputs.patch: New patch, adding an
    additional expected output file pre-v11. 
  * debian/gitlab-ci.yml: Run pg_buildext updatecontrol before build.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 19 Oct 2018 21:13:28 +0200

pglogical (2.2.0-3) unstable; urgency=medium

  * debian/patches/deactivate_sync_commit_regresstests.patch: New patch,
    deactivates pglogical.synchronous_commit during the regression tests, which
    seems to make them much faster.
  * debian/gitlab-ci.yml: New file.
  * debian/patches/v11_support.patch: Updated with upstream fixes 0a51cbc2
    through 856fbf72.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 19 Oct 2018 16:20:40 +0200

pglogical (2.2.0-2) unstable; urgency=medium

  [ Christoph Berg ]
  * Move maintainer address to team+postgresql@tracker.debian.org.

  [ Michael Banck ]
  * debian/control: Rebuild against postgresql-11.
  * debian/patches/v11_support.patch: New patch, adds support for PostgreSQL
    v11, adopted from upstream commits 8328c3ab through 87756182.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 16 Oct 2018 07:08:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pglogical
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Michael Banck <michael.banck@credativ.de>, Marco Nenciarini <mnencia@debian.org>
 Build-Depends:
  debhelper (>= 9),
@@ -12,9 +12,9 @@
 Vcs-Git: https://salsa.debian.org/postgresql/pglogical.git
 Homepage: https://www.2ndquadrant.com/en/resources/pglogical/ 
 
-Package: postgresql-10-pglogical
+Package: postgresql-11-pglogical
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11
 Suggests:
 Description: Logical Replication Extension for PostgreSQL
  The pglogical extension provides logical streaming replication between

=== debian/tests/control ===
Depends: @, libipc-run-perl, libtap-parser-sourcehandler-pgtap-perl, postgresql-11-pgtap, postgresql-server-dev-all
Tests: regresscheck, prove
Restrictions: allow-stderr

## pglogical 2.2.2

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,8 @@
 	   pglogical--2.0.0--2.1.0.sql pglogical--2.0.1--2.1.0.sql \
 	   pglogical--2.1.0--2.1.1.sql pglogical--2.1.1--2.2.0.sql \
 	   pglogical--2.2.0.sql \
-	   pglogical--2.2.0--2.2.1.sql pglogical--2.2.1.sql
+	   pglogical--2.2.0--2.2.1.sql pglogical--2.2.1.sql \
+	   pglogical--2.2.1--2.2.2.sql pglogical--2.2.2.sql
 
 OBJS = pglogical_apply.o pglogical_conflict.o pglogical_manager.o \
 	   pglogical.o pglogical_node.o pglogical_relcache.o \

=== debian/changelog ===
pglogical (2.2.2-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 05 Aug 2019 19:11:36 +0200

pglogical (2.2.2-1) unstable; urgency=medium

  * New upstream minor release.
  * debian/patches/adapt_tap_tests.patch: Updated.
  * debian/patches/v94_tap_support.patch: Likewise.
  * debian/patches/test_increase_timeouts.patch: Likewise.
  * debian/patches/pglogical_dump.patch: New patch, includes the pglogical_dump
    submodule which is not part of the Github release tarball.
  * debian/watch: Rewritten for Github.
  * debian/patches/post-2.2.2.patch: New patch, contains upstream fixes since
    the 2.2.2 release.
  * debian/tests/control.in: Run prove tests first.
  * debian/patches/alternative_regression_outputs.patch: New patch, adds an
    additional output file for row_filter regression test.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 05 Aug 2019 19:11:36 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,70 @@
 Vcs-Browser: https://salsa.debian.org/postgresql/pglogical
 Vcs-Git: https://salsa.debian.org/postgresql/pglogical.git
 Homepage: https://www.2ndquadrant.com/en/resources/pglogical/ 
+
+Package: postgresql-9.4-pglogical
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.4
+Suggests:
+Description: Logical Replication Extension for PostgreSQL
+ The pglogical extension provides logical streaming replication between
+ PostgreSQL instances, using a publish/subscribe model.  Contrary to the
+ built-in streaming replication, pglogical can replicate between major versions
+ or different architectures and is not restricted to replicate the entire
+ instance but can selectively replicate arbitrary sets of tables.
+ .
+ Use-Cases include migrations and major-version upgrades, aggregation of
+ several databases into a Data Warehouse, It utilises the Logical Decoding
+ features available since PostgreSQL 9.4 working with low overhead on both
+ provider and subscriber.
+
+Package: postgresql-9.5-pglogical
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.5
+Suggests:
+Description: Logical Replication Extension for PostgreSQL
+ The pglogical extension provides logical streaming replication between
+ PostgreSQL instances, using a publish/subscribe model.  Contrary to the
+ built-in streaming replication, pglogical can replicate between major versions
+ or different architectures and is not restricted to replicate the entire
+ instance but can selectively replicate arbitrary sets of tables.
+ .
+ Use-Cases include migrations and major-version upgrades, aggregation of
+ several databases into a Data Warehouse, It utilises the Logical Decoding
+ features available since PostgreSQL 9.4 working with low overhead on both
+ provider and subscriber.
+
+Package: postgresql-9.6-pglogical
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6
+Suggests:
+Description: Logical Replication Extension for PostgreSQL
+ The pglogical extension provides logical streaming replication between
+ PostgreSQL instances, using a publish/subscribe model.  Contrary to the
+ built-in streaming replication, pglogical can replicate between major versions
+ or different architectures and is not restricted to replicate the entire
+ instance but can selectively replicate arbitrary sets of tables.
+ .
+ Use-Cases include migrations and major-version upgrades, aggregation of
+ several databases into a Data Warehouse, It utilises the Logical Decoding
+ features available since PostgreSQL 9.4 working with low overhead on both
+ provider and subscriber.
+
+Package: postgresql-10-pglogical
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
+Suggests:
+Description: Logical Replication Extension for PostgreSQL
+ The pglogical extension provides logical streaming replication between
+ PostgreSQL instances, using a publish/subscribe model.  Contrary to the
+ built-in streaming replication, pglogical can replicate between major versions
+ or different architectures and is not restricted to replicate the entire
+ instance but can selectively replicate arbitrary sets of tables.
+ .
+ Use-Cases include migrations and major-version upgrades, aggregation of
+ several databases into a Data Warehouse, It utilises the Logical Decoding
+ features available since PostgreSQL 9.4 working with low overhead on both
+ provider and subscriber.
 
 Package: postgresql-11-pglogical
 Architecture: any

=== debian/tests/control ===
Depends: @, libipc-run-perl, libtap-parser-sourcehandler-pgtap-perl, postgresql-9.4-pgtap, postgresql-9.5-pgtap, postgresql-9.6-pgtap, postgresql-10-pgtap, postgresql-11-pgtap, postgresql-server-dev-all
Tests: prove, regresscheck
Restrictions: allow-stderr

## pglogical 2.3.0

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,9 @@
 	   pglogical--2.1.0--2.1.1.sql pglogical--2.1.1--2.2.0.sql \
 	   pglogical--2.2.0.sql \
 	   pglogical--2.2.0--2.2.1.sql pglogical--2.2.1.sql \
-	   pglogical--2.2.1--2.2.2.sql pglogical--2.2.2.sql
+	   pglogical--2.2.1--2.2.2.sql pglogical--2.2.2.sql \
+	   pglogical--2.2.2--2.3.0.sql \
+	   pglogical--2.3.0.sql
 
 OBJS = pglogical_apply.o pglogical_conflict.o pglogical_manager.o \
 	   pglogical.o pglogical_node.o pglogical_relcache.o \
@@ -32,10 +34,10 @@
 SCRIPTS_built = pglogical_create_subscriber
 
 REGRESS = preseed infofuncs init_fail init preseed_check basic extended conflict_secondary_unique \
-		  toasted replication_set add_table matview bidirectional primary_key \
-		  interfaces foreign_key functions copy triggers parallel row_filter \
+		  toasted replication_set add_table relations_only matview bidirectional \
+		  primary_key interfaces foreign_key functions copy triggers parallel row_filter \
 		  row_filter_sampling att_list column_filter apply_delay multiple_upstreams \
-		  node_origin_cascade drop
+		  map node_origin_cascade drop
 
 EXTRA_CLEAN += compat94/pglogical_compat.o compat95/pglogical_compat.o \
 			   compat96/pglogical_compat.o compat10/pglogical_compat.o \

=== debian/changelog ===
pglogical (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/post-2.2.2.patch: Removed, no longer needed.
  * debian/patches/pglogical_create_subscriber_set_port.patch: Refreshed.
  * debian/patches/test_configuration.patch: Likewise.
  * debian/patches/test_add_missing_timeouts.patch: New patch, sets
    statement_timeout before wait_for_subscription_sync_complete() calls in new
    map testcase.
  * debian/patches/test_increase_timeouts.patch: Double timeouts of add_table
    testcase.
  * debian/control, debian/tests/control: Updated for v12.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 26 Feb 2020 10:12:59 +0100

=== debian/control ===
Source: pglogical
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Michael Banck <michael.banck@credativ.de>, Marco Nenciarini <mnencia@debian.org>
Build-Depends:
 debhelper (>= 9),
 postgresql-server-dev-all (>= 153~),
 libselinux1-dev [linux-any], libxml2-dev, libpam0g-dev, libssl-dev, krb5-multidev, libedit-dev, libxslt1-dev, zlib1g-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/postgresql/pglogical
Vcs-Git: https://salsa.debian.org/postgresql/pglogical.git
Homepage: https://www.2ndquadrant.com/en/resources/pglogical/ 

Package: postgresql-12-pglogical
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12
Suggests:
Description: Logical Replication Extension for PostgreSQL
 The pglogical extension provides logical streaming replication between
 PostgreSQL instances, using a publish/subscribe model.  Contrary to the
 built-in streaming replication, pglogical can replicate between major versions
 or different architectures and is not restricted to replicate the entire
 instance but can selectively replicate arbitrary sets of tables.
 .
 Use-Cases include migrations and major-version upgrades, aggregation of
 several databases into a Data Warehouse, It utilises the Logical Decoding
 features available since PostgreSQL 9.4 working with low overhead on both
 provider and subscriber.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	dh_installdocs --all README.*
 
 override_dh_auto_clean:
-	-$(MAKE) clean
+	$(MAKE) clean
 	+pg_buildext clean build-%v
 	rm -rf regression.diffs regression.out results tmp_check log
 	rm -f pglogical_create_subscriber_postgres.log

=== debian/tests/control ===
Depends: @, libipc-run-perl, libtap-parser-sourcehandler-pgtap-perl, postgresql-12-pgtap, postgresql-server-dev-all
Tests: prove, regresscheck
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts="uversionmangle=s/^REL(\d)_(\d)_(\d)$/$1.$2.$3/" \
https://github.com/2ndQuadrant/pglogical/releases .*/archive/(.*).tar.gz

## pglogical 2.3.2

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,12 @@
 	   pglogical--2.2.0--2.2.1.sql pglogical--2.2.1.sql \
 	   pglogical--2.2.1--2.2.2.sql pglogical--2.2.2.sql \
 	   pglogical--2.2.2--2.3.0.sql \
-	   pglogical--2.3.0.sql
+	   pglogical--2.2.2--2.3.1.sql \
+	   pglogical--2.3.0.sql \
+	   pglogical--2.3.0--2.3.1.sql \
+	   pglogical--2.3.1.sql \
+	   pglogical--2.3.1--2.3.2.sql \
+	   pglogical--2.3.2.sql
 
 OBJS = pglogical_apply.o pglogical_conflict.o pglogical_manager.o \
 	   pglogical.o pglogical_node.o pglogical_relcache.o \
@@ -34,10 +39,10 @@
 SCRIPTS_built = pglogical_create_subscriber
 
 REGRESS = preseed infofuncs init_fail init preseed_check basic extended conflict_secondary_unique \
-		  toasted replication_set add_table relations_only matview bidirectional \
-		  primary_key interfaces foreign_key functions copy triggers parallel row_filter \
+		  toasted replication_set add_table matview bidirectional primary_key \
+		  interfaces foreign_key functions copy triggers parallel row_filter \
 		  row_filter_sampling att_list column_filter apply_delay multiple_upstreams \
-		  map node_origin_cascade drop
+		  node_origin_cascade drop
 
 EXTRA_CLEAN += compat94/pglogical_compat.o compat95/pglogical_compat.o \
 			   compat96/pglogical_compat.o compat10/pglogical_compat.o \

=== debian/changelog ===
pglogical (2.3.2-1) unstable; urgency=medium

  * New upstream minor release (Closes: #962423).

 -- Michael Banck <michael.banck@credativ.de>  Tue, 09 Jun 2020 00:00:47 +0200

pglogical (2.3.1-1) unstable; urgency=medium

  * New upstream minor release.
  * debian/patches/test_add_missing_timeouts.patch: Removed, no longer needed. 

 -- Michael Banck <michael.banck@credativ.de>  Tue, 28 Apr 2020 11:29:16 +0200

## pglogical 2.3.3

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,9 @@
 	   pglogical--2.3.0--2.3.1.sql \
 	   pglogical--2.3.1.sql \
 	   pglogical--2.3.1--2.3.2.sql \
-	   pglogical--2.3.2.sql
+	   pglogical--2.3.2.sql \
+	   pglogical--2.3.2--2.3.3.sql \
+	   pglogical--2.3.3.sql
 
 OBJS = pglogical_apply.o pglogical_conflict.o pglogical_manager.o \
 	   pglogical.o pglogical_node.o pglogical_relcache.o \

=== debian/changelog ===
pglogical (2.3.3-3+deb11u1) bullseye; urgency=medium

  * Adjust to PostgreSQL 13.4 snapshot handling fixes (PG commit ef9480509).
  * debian/watch: Fix github URL.

 -- Christoph Berg <myon@debian.org>  Thu, 26 Aug 2021 14:37:18 +0200

pglogical (2.3.3-3) unstable; urgency=high

  * debian/patches/cve-2021-3515.patch: New patch (taken from upstream commit
    95c0e89), fixes shell injection by pglogical users with CREATEDB access
    (CVE-2021-3515, Closes: #988735).

 -- Michael Banck <michael.banck@credativ.de>  Wed, 19 May 2021 19:07:56 +0200

pglogical (2.3.3-2) unstable; urgency=medium

  * Team upload.
  * Add B-D on libreadline-dev as PGXS adds -lreadline, even when it's not
    being used. (Closes: #973129)

 -- Christoph Berg <myon@debian.org>  Fri, 13 Nov 2020 15:12:59 +0100

pglogical (2.3.3-1) unstable; urgency=medium

  * Team upload.

  [ Michael Banck ]
  * debian/patches/test_configuration.patch: Set pglogical.synchronous_commit
    back to true. This seems to stabilize the add_table tests somewhat, so any
    time savings due to its disabling won't be worth it.

  [ Christoph Berg ]
  * New upstream version.
  * Upload for PostgreSQL 13, add B-D on libkrb5-dev.
  * Use dh --with pgxs.
  * DH 13, R³: no.
  * Disable add_table test because it's very slow and tends to fail.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.
  * debian/tests: Use installed-versions instead of supported-versions.

 -- Christoph Berg <myon@debian.org>  Sat, 10 Oct 2020 17:57:26 +0200

pglogical (2.3.2-2) unstable; urgency=medium

  * debian/patches/pglogical_create_subscriber_set_port.patch: Removed, this
    patch causes an unwanted behaviour change in pglogical_create_subscriber.
  * debian/patches/adapt_tap_tests.patch: Set subscriber PGPORT in the
    environment before running pglogical_create_subscriber, now that we no
    longer hardcode the port.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 25 Sep 2020 14:23:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,20 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Michael Banck <michael.banck@credativ.de>, Marco Nenciarini <mnencia@debian.org>
 Build-Depends:
- debhelper (>= 9),
- postgresql-server-dev-all (>= 153~),
+ debhelper-compat (= 13),
+ postgresql-server-dev-all (>= 217~),
+ libkrb5-dev,
+ libreadline-dev,
  libselinux1-dev [linux-any], libxml2-dev, libpam0g-dev, libssl-dev, krb5-multidev, libedit-dev, libxslt1-dev, zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pglogical
 Vcs-Git: https://salsa.debian.org/postgresql/pglogical.git
-Homepage: https://www.2ndquadrant.com/en/resources/pglogical/ 
+Homepage: https://www.2ndquadrant.com/en/resources/pglogical/
 
-Package: postgresql-12-pglogical
+Package: postgresql-13-pglogical
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13
 Suggests:
 Description: Logical Replication Extension for PostgreSQL
  The pglogical extension provides logical streaming replication between

=== debian/tests/control ===
Depends: @, libipc-run-perl, libtap-parser-sourcehandler-pgtap-perl, postgresql-13-pgtap, make
Tests: prove, regresscheck
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts="uversionmangle=s/^(\d+)_(\d+)_(\d+)$/$1.$2.$3/" \
https://github.com/2ndQuadrant/pglogical/releases .*/REL(.*).tar.gz
